using System.Text.Json;
using System.Text.Json.Serialization;

namespace Barcode.Host.Server.Models;

public record AppSettings(string BuildNumber,
                          string BuildSourceVersion,
                          int ClearLastScanServiceAfter,
                          string Company,
                          string DeviceNameEndsWith,
                          string EquipmentName,
                          int ExpectedScanLengthA,
                          int ExpectedScanLengthB,
                          string FileShare,
                          bool IsDevelopment,
                          bool IsStaging,
                          string LinuxDevicePath,
                          string MockRoot,
                          string MonAResource,
                          string MonASite,
                          int NotifyMinimum,
                          string OpenInsightApplicationProgrammingInterface,
                          string PostTo,
                          int PostToEvery,
                          string RootPassword,
                          string SerialPortName,
                          int ShareToEvery,
                          string ToolClass,
                          string URLs,
                          string WorkingDirectoryName,
                          int WriteToSerialEvery)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, AppSettingsSourceGenerationContext.Default.AppSettings);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(AppSettings))]
internal partial class AppSettingsSourceGenerationContext : JsonSerializerContext
{
}